Page MenuHomePhabricator

Username suggestion list lowercases text input
Closed, ResolvedPublic

Description

This task is about the way the username suggestion list (T251478) displays what is typed in the Reply tool's text input area.

Behavior

  1. Visit: https://en.wikipedia.beta.wmflabs.org/wiki/Talk:Cats
  2. Click any [ reply ] link
  3. Switch to the tool's Visual mode if you're not already there
  4. Type @ W h a

Expected

  1. ✅text input is shown within the username suggestion list as Wha as the person has typed.

Actual

5. ❗️text input is shown within the username suggestion list as wha instead of Wha

Done

  • "Actual" behavior is implemented

Reported by:

Event Timeline

ppelberg created this task.Jun 18 2020, 1:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2020, 1:02 AM
ppelberg updated the task description. (Show Details)Jun 18 2020, 2:03 AM
ppelberg added a subscriber: Kaartic.

Change 607037 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] CompletionAction: Don't lowercase an exact match

https://gerrit.wikimedia.org/r/607037

Esanders claimed this task.Jun 23 2020, 3:06 PM

Change 607037 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] CompletionAction: Don't lowercase an exact match

https://gerrit.wikimedia.org/r/607037

Change 607445 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (ab0423261)

https://gerrit.wikimedia.org/r/607445

Change 607445 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (ab0423261)

https://gerrit.wikimedia.org/r/607445

ppelberg closed this task as Resolved.Jul 10 2020, 2:43 AM